Subject: Weird newline matching behaviour in --null-data mode

From: Balazs Kezes <[email-masked]>
Date: Fri, 3 Jul 2015 17:59:19 +0100

Hello!

I'm running into issues with grep in -z mode. I've managed to minimize
it into this:

	$ seq 2 | grep --null-data --quiet '[12].2' ; echo $?
	0
	$ seq 2 | grep --null-data --quiet '[1-2].2' ; echo $?
	1

I'd expect the two expressions to mean the same. I've tried this with
the latest version built from the official sources, 2.21. I've also
found [1] which might be related but it wasn't updated for almost 2
years. Or is this expected?

Thanks!

[1] http://savannah.gnu.org/bugs/?40009

-- 
Balazs